#include<bits/stdc++.h>

using namespace std;
int a, b, x, y;
int main(){
    cin >> a >> b >> x >> y;
    if(a==x && b==y){
        cout << "nijedan" << endl;
    }else
    if(a!=x && b!=y){
        cout << "?" << endl;
    }else
     if(a==x && b!=y){
        cout << "drugi" << endl;
    }else
    if(a!=x && b==y){
        cout << "prvi" << endl;
    }
return 0;
}